com.icesoft.faces.component.ext

## Class HtmlSelectManyCheckbox

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - javax.faces.component.UISelectMany
          - - javax.faces.component.html.HtmlSelectManyCheckbox
            - - com.icesoft.faces.component.ext.HtmlSelectManyCheckbox

- All Implemented Interfaces:
    com.icesoft.faces.component.IceExtended, java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class HtmlSelectManyCheckbox
      extends javax.faces.component.html.HtmlSelectManyCheckbox
      implements com.icesoft.faces.component.IceExtended

  This is an extension of javax.faces.component.html.HtmlSelectManyCheckbox, which provides some additional behavior to this component such as:
  - default classes for enabled and disabled state
  - provides partial submit mechanism
  - changes the component's enabled and rendered state based on the authentication
  - adds effects to the component

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlSelectManyCheckbox

      `javax.faces.component.html.HtmlSelectManyCheckbox.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UISelectMany

      `COMPONENT_FAMILY, INVALID_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface com.icesoft.faces.component.IceExtended

      `ENABLED_ON_USER_ROLE_ATTR, RENDERED_ON_USER_ROLE_ATTR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlSelectManyCheckbox()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAutocomplete()` Return the value of the `autocomplete` property.
    `com.icesoft.faces.context.effects.CurrentStyle` | `getCurrentStyle()` Return the value of the `currentStyle` property.
    `com.icesoft.faces.context.effects.Effect` | `getEffect()` Return the value of the `effect` property.
    `java.lang.String` | `getEnabledOnUserRole()` Return the value of the `enabledOnUserRole` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnchangeeffect()` Return the value of the `onchangeeffect` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnclickeffect()` Return the value of the `onclickeffect` property.
    `com.icesoft.faces.context.effects.Effect` | `getOndblclickeffect()` Return the value of the `ondblclickeffect` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnkeydowneffect()` Return the value of the `onkeydowneffect` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnkeypresseffect()` Return the value of the `onkeypresseffect` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnkeyupeffect()` Return the value of the `onkeyupeffect` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnmousedowneffect()` Return the value of the `onmousedowneffect` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnmousemoveeffect()` Return the value of the `onmousemoveeffect` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnmouseouteffect()` Return the value of the `onmouseouteffect` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnmouseovereffect()` Return the value of the `onmouseovereffect` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnmouseupeffect()` Return the value of the `onmouseupeffect` property.
    `boolean` | `getPartialSubmit()` Return the value of the `partialSubmit` property.
    `java.lang.String` | `getRenderedOnUserRole()` Return the value of the `renderedOnUserRole` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `boolean` | `getVisible()` Return the value of the `visible` property.
    `boolean` | `isDisabled()` Return the value of the `disabled` property.
    `boolean` | `isRendered()` Return the value of the `rendered` property.
    `void` | `requestFocus()` This method is used to communicate a focus request from the application to the client browser.
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setAutocomplete(java.lang.String autocomplete)` Set the value of the `autocomplete` property.
    `void` | `setCurrentStyle(com.icesoft.faces.context.effects.CurrentStyle currentStyle)` Set the value of the `currentStyle` property.
    `void` | `setEffect(com.icesoft.faces.context.effects.Effect effect)` Set the value of the `effect` property.
    `void` | `setEnabledOnUserRole(java.lang.String enabledOnUserRole)` Set the value of the `enabledOnUserRole` property.
    `void` | `setOnchangeeffect(com.icesoft.faces.context.effects.Effect onchangeeffect)` Set the value of the `onchangeeffect` property.
    `void` | `setOnclickeffect(com.icesoft.faces.context.effects.Effect onclickeffect)` Set the value of the `onclickeffect` property.
    `void` | `setOndblclickeffect(com.icesoft.faces.context.effects.Effect ondblclickeffect)` Set the value of the `ondblclickeffect` property.
    `void` | `setOnkeydowneffect(com.icesoft.faces.context.effects.Effect onkeydowneffect)` Set the value of the `onkeydowneffect` property.
    `void` | `setOnkeypresseffect(com.icesoft.faces.context.effects.Effect onkeypresseffect)` Set the value of the `onkeypresseffect` property.
    `void` | `setOnkeyupeffect(com.icesoft.faces.context.effects.Effect onkeyupeffect)` Set the value of the `onkeyupeffect` property.
    `void` | `setOnmousedowneffect(com.icesoft.faces.context.effects.Effect onmousedowneffect)` Set the value of the `onmousedowneffect` property.
    `void` | `setOnmousemoveeffect(com.icesoft.faces.context.effects.Effect onmousemoveeffect)` Set the value of the `onmousemoveeffect` property.
    `void` | `setOnmouseouteffect(com.icesoft.faces.context.effects.Effect onmouseouteffect)` Set the value of the `onmouseouteffect` property.
    `void` | `setOnmouseovereffect(com.icesoft.faces.context.effects.Effect onmouseovereffect)` Set the value of the `onmouseovereffect` property.
    `void` | `setOnmouseupeffect(com.icesoft.faces.context.effects.Effect onmouseupeffect)` Set the value of the `onmouseupeffect` property.
    `void` | `setPartialSubmit(boolean partialSubmit)` Set the value of the `partialSubmit` property.
    `void` | `setRenderedOnUserRole(java.lang.String renderedOnUserRole)` Set the value of the `renderedOnUserRole` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setValueBinding(java.lang.String s, javax.faces.el.ValueBinding vb)`
    `void` | `setVisible(boolean visible)` Set the value of the `visible` property.

    - ### Methods inherited from class javax.faces.component.html.HtmlSelectManyCheckbox

      `getAccesskey, getBorder, getDefaultEventName, getDir, getDisabledClass, getEnabledClass, getEventNames, getLabel, getLang, getLayout, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getSelectedClass, getStyle, getTabindex, getTitle, getUnselectedClass, isReadonly, setAccesskey, setBorder, setDir, setDisabled, setDisabledClass, setEnabledClass, setLabel, setLang, setLayout, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setSelectedClass, setStyle, setTabindex, setTitle, setUnselectedClass`

    - ### Methods inherited from class javax.faces.component.UISelectMany

      `compareValues, getFamily, getSelectedValues, getValueBinding, getValueExpression, setSelectedValues, setValueExpression, validateValue`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlSelectManyCheckbox

          public HtmlSelectManyCheckbox()

  - ### Method Detail

    - #### requestFocus

          public void requestFocus()

      This method is used to communicate a focus request from the application to the client browser.

    - #### setValueBinding

          public void setValueBinding(java.lang.String s,
                                      javax.faces.el.ValueBinding vb)

      Overrides:
        `setValueBinding` in class `javax.faces.component.UISelectMany`

    - #### setVisible

          public void setVisible(boolean visible)

      Set the value of the `visible` property.

    - #### getVisible

          public boolean getVisible()

      Return the value of the `visible` property.

    - #### setEffect

          public void setEffect(com.icesoft.faces.context.effects.Effect effect)

      Set the value of the `effect` property.

    - #### getEffect

          public com.icesoft.faces.context.effects.Effect getEffect()

      Return the value of the `effect` property.

    - #### setPartialSubmit

          public void setPartialSubmit(boolean partialSubmit)

      Set the value of the `partialSubmit` property.

      Specified by:
        `setPartialSubmit` in interface `com.icesoft.faces.component.IceExtended`

    - #### getPartialSubmit

          public boolean getPartialSubmit()

      Return the value of the `partialSubmit` property.

      Specified by:
        `getPartialSubmit` in interface `com.icesoft.faces.component.IceExtended`

    - #### setEnabledOnUserRole

          public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

      Set the value of the `enabledOnUserRole` property.

      Specified by:
        `setEnabledOnUserRole` in interface `com.icesoft.faces.component.IceExtended`

    - #### getEnabledOnUserRole

          public java.lang.String getEnabledOnUserRole()

      Return the value of the `enabledOnUserRole` property.

      Specified by:
        `getEnabledOnUserRole` in interface `com.icesoft.faces.component.IceExtended`

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String renderedOnUserRole)

      Set the value of the `renderedOnUserRole` property.

      Specified by:
        `setRenderedOnUserRole` in interface `com.icesoft.faces.component.IceExtended`

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Return the value of the `renderedOnUserRole` property.

      Specified by:
        `getRenderedOnUserRole` in interface `com.icesoft.faces.component.IceExtended`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Overrides:
        `setStyleClass` in class `javax.faces.component.html.HtmlSelectManyCheckbox`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Overrides:
        `getStyleClass` in class `javax.faces.component.html.HtmlSelectManyCheckbox`

    - #### isDisabled

          public boolean isDisabled()

      Return the value of the `disabled` property.

      Overrides:
        `isDisabled` in class `javax.faces.component.html.HtmlSelectManyCheckbox`

    - #### isRendered

          public boolean isRendered()

      Return the value of the `rendered` property.

      Overrides:
        `isRendered` in class `javax.faces.component.UIComponentBase`

    - #### getOnclickeffect

          public com.icesoft.faces.context.effects.Effect getOnclickeffect()

      Return the value of the `onclickeffect` property.

    - #### setOnclickeffect

          public void setOnclickeffect(com.icesoft.faces.context.effects.Effect onclickeffect)

      Set the value of the `onclickeffect` property.

    - #### getOndblclickeffect

          public com.icesoft.faces.context.effects.Effect getOndblclickeffect()

      Return the value of the `ondblclickeffect` property.

    - #### setOndblclickeffect

          public void setOndblclickeffect(com.icesoft.faces.context.effects.Effect ondblclickeffect)

      Set the value of the `ondblclickeffect` property.

    - #### getOnmousedowneffect

          public com.icesoft.faces.context.effects.Effect getOnmousedowneffect()

      Return the value of the `onmousedowneffect` property.

    - #### setOnmousedowneffect

          public void setOnmousedowneffect(com.icesoft.faces.context.effects.Effect onmousedowneffect)

      Set the value of the `onmousedowneffect` property.

    - #### getOnmouseupeffect

          public com.icesoft.faces.context.effects.Effect getOnmouseupeffect()

      Return the value of the `onmouseupeffect` property.

    - #### setOnmouseupeffect

          public void setOnmouseupeffect(com.icesoft.faces.context.effects.Effect onmouseupeffect)

      Set the value of the `onmouseupeffect` property.

    - #### getOnmousemoveeffect

          public com.icesoft.faces.context.effects.Effect getOnmousemoveeffect()

      Return the value of the `onmousemoveeffect` property.

    - #### setOnmousemoveeffect

          public void setOnmousemoveeffect(com.icesoft.faces.context.effects.Effect onmousemoveeffect)

      Set the value of the `onmousemoveeffect` property.

    - #### getOnmouseovereffect

          public com.icesoft.faces.context.effects.Effect getOnmouseovereffect()

      Return the value of the `onmouseovereffect` property.

    - #### setOnmouseovereffect

          public void setOnmouseovereffect(com.icesoft.faces.context.effects.Effect onmouseovereffect)

      Set the value of the `onmouseovereffect` property.

    - #### getOnmouseouteffect

          public com.icesoft.faces.context.effects.Effect getOnmouseouteffect()

      Return the value of the `onmouseouteffect` property.

    - #### setOnmouseouteffect

          public void setOnmouseouteffect(com.icesoft.faces.context.effects.Effect onmouseouteffect)

      Set the value of the `onmouseouteffect` property.

    - #### getOnchangeeffect

          public com.icesoft.faces.context.effects.Effect getOnchangeeffect()

      Return the value of the `onchangeeffect` property.

    - #### setOnchangeeffect

          public void setOnchangeeffect(com.icesoft.faces.context.effects.Effect onchangeeffect)

      Set the value of the `onchangeeffect` property.

    - #### getOnkeypresseffect

          public com.icesoft.faces.context.effects.Effect getOnkeypresseffect()

      Return the value of the `onkeypresseffect` property.

    - #### setOnkeypresseffect

          public void setOnkeypresseffect(com.icesoft.faces.context.effects.Effect onkeypresseffect)

      Set the value of the `onkeypresseffect` property.

    - #### getOnkeydowneffect

          public com.icesoft.faces.context.effects.Effect getOnkeydowneffect()

      Return the value of the `onkeydowneffect` property.

    - #### setOnkeydowneffect

          public void setOnkeydowneffect(com.icesoft.faces.context.effects.Effect onkeydowneffect)

      Set the value of the `onkeydowneffect` property.

    - #### getOnkeyupeffect

          public com.icesoft.faces.context.effects.Effect getOnkeyupeffect()

      Return the value of the `onkeyupeffect` property.

    - #### setOnkeyupeffect

          public void setOnkeyupeffect(com.icesoft.faces.context.effects.Effect onkeyupeffect)

      Set the value of the `onkeyupeffect` property.

    - #### getCurrentStyle

          public com.icesoft.faces.context.effects.CurrentStyle getCurrentStyle()

      Return the value of the `currentStyle` property.

    - #### setCurrentStyle

          public void setCurrentStyle(com.icesoft.faces.context.effects.CurrentStyle currentStyle)

      Set the value of the `currentStyle` property.

    - #### setAutocomplete

          public void setAutocomplete(java.lang.String autocomplete)

      Set the value of the `autocomplete` property.

    - #### getAutocomplete

          public java.lang.String getAutocomplete()

      Return the value of the `autocomplete` property.

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Gets the state of the instance as a `Serializable` Object.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIInput`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Perform any processing required to restore the state from the entries in the state Object.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIInput`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.